#!/bin/csh -f


#find_emittance.s '*.out'

sddsprocess $1.out -pipe=out \
    "-process=x*,ave,%sAve" \
    -process=p,ave,pAverage \
    -redefine=column,x,"x xAve -",units=m \
    -redefine=column,xp,"xp xpAve -" \
    -define=col,xsqr,"x sqr"\
   -define=col,xpsqr,"xp sqr"\
   -define=col,xxp,"x xp *"\
   -process=xsqr,average,xsqr_avg\
   -process=xpsqr,average,xpsqr_avg\
   -process=xxp,average,xxp_avg \
    -define=param,exbeg,"xsqr_avg xpsqr_avg * xxp_avg sqr - sqrt"\
   -define=param,enxbeg,"xsqr_avg xpsqr_avg * xxp_avg sqr - sqrt pAverage *" \
    | sddsprintout -pipe -param 

sddsanalyzebeam $1.out -pipe=out \
    | sddsprintout -pipe -col="e*x*"
